-- applications passwords generated by users
CREATE TABLE IF NOT EXISTS public."app_passwords" (
  "id"          SERIAL NOT NULL PRIMARY KEY,
  "user_id"     TEXT NOT NULL,
  "name"        TEXT NOT NULL,
  "description" TEXT,
  "type"        TEXT NOT NULL,
  "username"    TEXT NOT NULL,
  "password"    TEXT NOT NULL,
  "expires_at"  TIMESTAMPTZ,
  "created_at"  TIMESTAMPTZ NOT NULL DEFAULT NOW()
);

-- email accounts for services
CREATE TABLE IF NOT EXISTS public."email_services" (
  "id"          SERIAL NOT NULL PRIMARY KEY,
  "email"       TEXT NOT NULL,
  "password"    TEXT NOT NULL,
  "description" TEXT,
  "created_at"  TIMESTAMPTZ NOT NULL DEFAULT NOW()
);
